org.apache.sling.maven.kickstart.run

## Class ProcessDescription

- java.lang.Object
- - org.apache.sling.maven.kickstart.run.ProcessDescription

    public class ProcessDescription
    extends Object

A running kickstart process.

### Constructor Summary

Constructors
Constructor and Description
`ProcessDescription(String id, File directory, String listenerSpec, org.apache.maven.plugin.logging.Log logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ControlClient` `getControlClient()`
`File` `getDirectory()`
`String` `getId()`
`Process` `getProcess()`
`void` `installShutdownHook()` Install a shutdown hook
`void` `setProcess(Process process)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessDescription

    public ProcessDescription(String id,
                              File directory,
                              String listenerSpec,
                              org.apache.maven.plugin.logging.Log logger)
                       throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### Method Detail

#### getId

    public String getId()

#### getDirectory

    public File getDirectory()

#### getControlClient

    public ControlClient getControlClient()

#### getProcess

    public Process getProcess()

#### setProcess

    public void setProcess(Process process)

#### installShutdownHook

    public void installShutdownHook()

Install a shutdown hook

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`